Package io.dapr.v1

# Class DaprAppCallbackProtos.HealthCheckResponse

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
io.dapr.v1.DaprAppCallbackProtos.HealthCheckResponse

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.HealthCheckResponseOrBuilder`, `Serializable`

Enclosing class:
  DaprAppCallbackProtos

public static final class DaprAppCallbackProtos.HealthCheckResponse extends com.google.protobuf.GeneratedMessageV3 implements DaprAppCallbackProtos.HealthCheckResponseOrBuilder

     HealthCheckResponse is the message with the response to the health check.
     This message is currently empty as used as placeholder.

Protobuf type `dapr.proto.runtime.v1.HealthCheckResponse`

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `DaprAppCallbackProtos.HealthCheckResponse.Builder`
  HealthCheckResponse is the message with the response to the health check.

  ## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

  `com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

  ## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

  `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

- ## Field Summary

  ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

  `alwaysUseFieldBuilders, unknownFields`

  ### Fields inherited from class com.google.protobuf.AbstractMessage

  `memoizedSize`

  ### Fields inherited from class com.google.protobuf.AbstractMessageLite

  `memoizedHashCode`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `static DaprAppCallbackProtos.HealthCheckResponse`
  `getDefaultInstance()`
  `DaprAppCallbackProtos.HealthCheckResponse`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Parser<DaprAppCallbackProtos.HealthCheckResponse>`
  `getParserForType()`
  `int`
  `getSerializedSize()`
  `int`
  `hashCode()`
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `static DaprAppCallbackProtos.HealthCheckResponse.Builder`
  `newBuilder()`
  `static DaprAppCallbackProtos.HealthCheckResponse.Builder`
  `newBuilder(DaprAppCallbackProtos.HealthCheckResponse prototype)`
  `DaprAppCallbackProtos.HealthCheckResponse.Builder`
  `newBuilderForType()`
  `protected DaprAppCallbackProtos.HealthCheckResponse.Builder`
  `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
  `protected Object`
  `newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
  `static DaprAppCallbackProtos.HealthCheckResponse`
  `parseDelimitedFrom(InputStream input)`
  `static DaprAppCallbackProtos.HealthCheckResponse`
  `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static DaprAppCallbackProtos.HealthCheckResponse`
  `parseFrom(byte[] data)`
  `static DaprAppCallbackProtos.HealthCheckResponse`
  `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static DaprAppCallbackProtos.HealthCheckResponse`
  `parseFrom(com.google.protobuf.ByteString data)`
  `static DaprAppCallbackProtos.HealthCheckResponse`
  `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static DaprAppCallbackProtos.HealthCheckResponse`
  `parseFrom(com.google.protobuf.CodedInputStream input)`
  `static DaprAppCallbackProtos.HealthCheckResponse`
  `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static DaprAppCallbackProtos.HealthCheckResponse`
  `parseFrom(InputStream input)`
  `static DaprAppCallbackProtos.HealthCheckResponse`
  `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static DaprAppCallbackProtos.HealthCheckResponse`
  `parseFrom(ByteBuffer data)`
  `static DaprAppCallbackProtos.HealthCheckResponse`
  `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static com.google.protobuf.Parser<DaprAppCallbackProtos.HealthCheckResponse>`
  `parser()`
  `DaprAppCallbackProtos.HealthCheckResponse.Builder`
  `toBuilder()`
  `void`
  `writeTo(com.google.protobuf.CodedOutputStream output)`

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

  `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

  ### Methods inherited from class com.google.protobuf.AbstractMessage

  `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite

  `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.MessageLite

  `toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### newInstance

    protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)
    Overrides:
      `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

  - ### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException
    Specified by:
      `writeTo` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
    Throws:
      `IOException`

  - ### getSerializedSize

    public int getSerializedSize()
    Specified by:
      `getSerializedSize` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in interface `com.google.protobuf.Message`
    Overrides:
      `equals` in class `com.google.protobuf.AbstractMessage`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `com.google.protobuf.Message`
    Overrides:
      `hashCode` in class `com.google.protobuf.AbstractMessage`

  - ### parseFrom

    public static DaprAppCallbackProtos.HealthCheckResponse parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static DaprAppCallbackProtos.HealthCheckResponse parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static DaprAppCallbackProtos.HealthCheckResponse parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static DaprAppCallbackProtos.HealthCheckResponse parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static DaprAppCallbackProtos.HealthCheckResponse parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static DaprAppCallbackProtos.HealthCheckResponse parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static DaprAppCallbackProtos.HealthCheckResponse parseFrom(InputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static DaprAppCallbackProtos.HealthCheckResponse parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### parseDelimitedFrom

    public static DaprAppCallbackProtos.HealthCheckResponse parseDelimitedFrom(InputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseDelimitedFrom

    public static DaprAppCallbackProtos.HealthCheckResponse parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static DaprAppCallbackProtos.HealthCheckResponse parseFrom(com.google.protobuf.CodedInputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static DaprAppCallbackProtos.HealthCheckResponse parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### newBuilderForType

    public DaprAppCallbackProtos.HealthCheckResponse.Builder newBuilderForType()
    Specified by:
      `newBuilderForType` in interface `com.google.protobuf.Message`
    Specified by:
      `newBuilderForType` in interface `com.google.protobuf.MessageLite`

  - ### newBuilder

    public static DaprAppCallbackProtos.HealthCheckResponse.Builder newBuilder()

  - ### newBuilder

    public static DaprAppCallbackProtos.HealthCheckResponse.Builder newBuilder(DaprAppCallbackProtos.HealthCheckResponse prototype)

  - ### toBuilder

    public DaprAppCallbackProtos.HealthCheckResponse.Builder toBuilder()
    Specified by:
      `toBuilder` in interface `com.google.protobuf.Message`
    Specified by:
      `toBuilder` in interface `com.google.protobuf.MessageLite`

  - ### newBuilderForType

    protected DaprAppCallbackProtos.HealthCheckResponse.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)
    Specified by:
      `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDefaultInstance

    public static DaprAppCallbackProtos.HealthCheckResponse getDefaultInstance()

  - ### parser

    public static com.google.protobuf.Parser<DaprAppCallbackProtos.HealthCheckResponse> parser()

  - ### getParserForType

    public com.google.protobuf.Parser<DaprAppCallbackProtos.HealthCheckResponse> getParserForType()
    Specified by:
      `getParserForType` in interface `com.google.protobuf.Message`
    Specified by:
      `getParserForType` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDefaultInstanceForType

    public DaprAppCallbackProtos.HealthCheckResponse getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`